## dods.dap
Class DDSException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              dods.dap.DODSException
                  dods.dap.DDSException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  BadSemanticsException, DataReadException, NoSuchFunctionException, NoSuchVariableException

public class DDSException
extends DODSException

DDS exception. This is the root of all the DDS exception classes.

See Also:
  `DODSException`, Serialized Form

Field Summary

Fields inherited from class dods.dap.DODSException
`CANNOT_READ_FILE, JAVA_PROGRAM, MALFORMED_EXPR, NO_AUTHORIZATION, NO_PROGRAM, NO_SUCH_FILE, NO_SUCH_VARIABLE, TCL_PROGRAM, UNDEFINED_ERROR, UNDEFINED_PROG_TYPE, UNKNOWN_ERROR`

Fields inherited from class java.lang.Exception
``

Constructor Summary
`DDSException(int error, String s)` Construct a `DDSException` with the specified detail message and DODS error code.

Methods inherited from class dods.dap.DODSException
`getErrorCode, getErrorMessage, getMessage, getProgramSource, getProgramType, parse, print, print, setErrorCode, setErrorMessage, setProgramSource, setProgramType`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DDSException

    public DDSException(int error,
                        String s)

  Construct a `DDSException` with the specified detail message and DODS error code.

Parameters:
  `s` - the detail message.